PaymentBalance

Query balance

GET
/openapi/v1/payments/balance

Query the available balance of an account.

Authorization

bearerAuth
headerAuthorizationBearer <token>

The access_token obtained from POST /oauth2/token. Header format: Authorization: Bearer {accessToken}.

Query Parameters

accountNumber*string

Account number. Length 16

currency*string

ISO 4217 currency code. Length 3

Header Parameters

X-Channel-Provider*string

Provider identifier, such as GLDB

Response Body

Returns the account balance.

application/json
  1. response
code?integer

Business status code

message?string
traceId?string

Request trace ID. Provide it when you contact technical support

data?

Base fields of business data. The data object of every business response contains these fields (except fee estimation).

Example Request
curl -X GET 'https://api.test.stabofx.com/openapi/v1/payments/balance?accountNumber=10000000001&currency=USD' \  -H 'X-Channel-Provider: GLDB'
Example Response
{  "code": 200,  "message": "OK",  "traceId": "a1b2c3d4-e5f6-7890",  "data": {    "providerStatusCode": "000000",    "providerMessage": "ok",    "providerRequestSerialNo": "795883203712778240",    "providerResponseSerialNo": "785957885476737024",    "providerTimestamp": "2023-05-17 21:03:48",    "balance": "1000000.00",    "currency": "USD",    "status": "ACTIVE"  }}